module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.getModifiersForMonth = getModifiersForMonth;
	exports['default'] = CalendarYear;

	var _react = __webpack_require__(1);

	var _react2 = _interopRequireDefault(_react);

	var _moment = __webpack_require__(5);

	var _moment2 = _interopRequireDefault(_moment);

	var _classnames = __webpack_require__(6);

	var _classnames2 = _interopRequireDefault(_classnames);

	var _CalendarMonthOption = __webpack_require__(15);

	var _CalendarMonthOption2 = _interopRequireDefault(_CalendarMonthOption);

	var _getCalendarYearMonths = __webpack_require__(16);

	var _getCalendarYearMonths2 = _interopRequireDefault(_getCalendarYearMonths);

	var _OrientationShape = __webpack_require__(17);

	var _OrientationShape2 = _interopRequireDefault(_OrientationShape);

	var _constants = __webpack_require__(10);

	function _interopRequireDefault(obj) {
	  return obj && obj.__esModule ? obj : { 'default': obj };
	}

	var propTypes = {
	  year: _react.PropTypes.func,
	  isVisible: _react.PropTypes.bool,
	  modifiers: _react.PropTypes.object,
	  orientation: _OrientationShape2['default'],
	  onMonthClick: _react.PropTypes.func,
	  onMonthMouseDown: _react.PropTypes.func,
	  onMonthMouseUp: _react.PropTypes.func,
	  onMonthMouseEnter: _react.PropTypes.func,
	  onMonthMouseLeave: _react.PropTypes.func,
	  onMonthTouchStart: _react.PropTypes.func,
	  onMonthTouchEnd: _react.PropTypes.func,
	  onMonthTouchTap: _react.PropTypes.func,
	  yearFormat: _react.PropTypes.string
	}; /* eslint react/no-array-index-key: 0 */

	var defaultProps = {
	  year: function () {
	    function year() {
	      return (0, _moment2['default'])();
	    }

	    return year;
	  }(),
	  isVisible: true,
	  modifiers: {},
	  orientation: _constants.HORIZONTAL_ORIENTATION,
	  onMonthClick: function () {
	    function onMonthClick() {}

	    return onMonthClick;
	  }(),
	  onMonthMouseDown: function () {
	    function onMonthMouseDown() {}

	    return onMonthMouseDown;
	  }(),
	  onMonthMouseUp: function () {
	    function onMonthMouseUp() {}

	    return onMonthMouseUp;
	  }(),
	  onMonthMouseEnter: function () {
	    function onMonthMouseEnter() {}

	    return onMonthMouseEnter;
	  }(),
	  onMonthMouseLeave: function () {
	    function onMonthMouseLeave() {}

	    return onMonthMouseLeave;
	  }(),
	  onMonthTouchStart: function () {
	    function onMonthTouchStart() {}

	    return onMonthTouchStart;
	  }(),
	  onMonthTouchEnd: function () {
	    function onMonthTouchEnd() {}

	    return onMonthTouchEnd;
	  }(),
	  onMonthTouchTap: function () {
	    function onMonthTouchTap() {}

	    return onMonthTouchTap;
	  }(),

	  yearFormat: 'YYYY'
	};

	function getModifiersForMonth(modifiers, month) {
	  return month ? Object.keys(modifiers).filter(function (key) {
	    return modifiers[key](month);
	  }) : [];
	}

	var getThunkFromMoment = function () {
	  function getThunkFromMoment(year) {
	    return function () {
	      return year;
	    };
	  }

	  return getThunkFromMoment;
	}();

	function CalendarYear(props) {
	  var year = props.year,
	      yearFormat = props.yearFormat,
	      orientation = props.orientation,
	      isVisible = props.isVisible,
	      modifiers = props.modifiers,
	      onMonthClick = props.onMonthClick,
	      onMonthMouseDown = props.onMonthMouseDown,
	      onMonthMouseUp = props.onMonthMouseUp,
	      onMonthMouseEnter = props.onMonthMouseEnter,
	      onMonthMouseLeave = props.onMonthMouseLeave,
	      onMonthTouchStart = props.onMonthTouchStart,
	      onMonthTouchEnd = props.onMonthTouchEnd,
	      onMonthTouchTap = props.onMonthTouchTap;

	  var yearTitle = year().format(yearFormat);
	  var calendarYearClasses = (0, _classnames2['default'])('CalendarYear', {
	    'CalendarYear--horizontal': orientation === _constants.HORIZONTAL_ORIENTATION,
	    'CalendarYear--vertical': orientation === _constants.VERTICAL_ORIENTATION
	  });

	  return _react2['default'].createElement('div', { className: calendarYearClasses, 'data-visible': isVisible }, _react2['default'].createElement('table', null, _react2['default'].createElement('caption', { className: 'CalendarYear__caption js-CalendarYear__caption' }, _react2['default'].createElement('strong', null, yearTitle)), _react2['default'].createElement('tbody', { className: 'js-CalendarYear__grid' }, (0, _getCalendarYearMonths2['default'])(year()).map(function (months, i) {
	    return _react2['default'].createElement('tr', { key: i }, months.map(function (month) {
	      var modifiersForMonth = getModifiersForMonth(modifiers, month);
	      var className = (0, _classnames2['default'])('CalendarYear__month', modifiersForMonth.map(function (mod) {
	        return 'CalendarYear__month--' + String(mod);
	      }));

	      return _react2['default'].createElement('td', { className: className, key: month }, _react2['default'].createElement(_CalendarMonthOption2['default'], {
	        month: getThunkFromMoment(month),
	        modifiers: modifiersForMonth,
	        onMonthMouseEnter: onMonthMouseEnter,
	        onMonthMouseLeave: onMonthMouseLeave,
	        onMonthMouseDown: onMonthMouseDown,
	        onMonthMouseUp: onMonthMouseUp,
	        onMonthClick: onMonthClick,
	        onMonthTouchStart: onMonthTouchStart,
	        onMonthTouchEnd: onMonthTouchEnd,
	        onMonthTouchTap: onMonthTouchTap
	      }));
	    }));
	  }))));
	}

	CalendarYear.propTypes = propTypes;
	CalendarYear.defaultProps = defaultProps;

/***/ },
/* 1 */
/***/ function(module, exports) {

	module.exports = require("react");

/***/ },
/* 2 */,
/* 3 */,
/* 4 */,
/* 5 */
/***/ function(module, exports) {

	module.exports = require("moment");

/***/ },
/* 6 */
/***/ function(module, exports) {

	module.exports = require("classnames");

/***/ },
/* 7 */,
/* 8 */,
/* 9 */,
/* 10 */
/***/ function(module, exports) {

	module.exports = require("../../constants");

/***/ },
/* 11 */,
/* 12 */,
/* 13 */,
/* 14 */,
/* 15 */
/***/ function(module, exports) {

	module.exports = require("./CalendarMonthOption");

/***/ },
/* 16 */
/***/ function(module, exports) {

	module.exports = require("../utils/getCalendarYearMonths");

/***/ },
/* 17 */
/***/ function(module, exports) {

	module.exports = require("../shapes/OrientationShape");

/***/ }
/******/ ]);